package com.hxhq.business.enums.study;

/**
 * 表单状态：1：填报中；3：已提交；5：已完成（经复核）
 * @author tanfei
 */
public enum StudyFormPlanBdztEnum {

    /**
     * 填报中
     */
    tbz(1, "填报中"),

    /**
     * 已提交
     */
    ytj(3, "已提交"),

    /**
     * 已完成（经复核）
     */
    ywcfh(5, "已完成（经复核）");

    private int value;
    private String text;

    StudyFormPlanBdztEnum(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public static StudyFormPlanBdztEnum getEnumByValue(int type) {
        for (StudyFormPlanBdztEnum bt : values()) {
            if (bt.value == type) {
                return bt;
            }
        }
        return null;
    }
}
